package gus05.entity.gus.app.action.exit;


import javax.swing.Action;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Execute;
import gus05.framework.features.Provide;
import gus05.framework.resources.ActionBuilder;



public class AppActionExit implements Entity, Provide, Execute {


    public String getName()				{return "gus.app.action.exit";}
    public String getCreationDate()		{return "2006.12.15";}


    public static final String ACTIONID_EXIT = "exit";
    
    private Service executeExit;
    private ActionBuilder actionBuilder;
    
    private Action exitAction;
    

    public AppActionExit() throws Exception
    {
        executeExit = Outside.service(this,"app.executeexit");
        actionBuilder = (ActionBuilder) Outside.resource(this,"app.actionbuilder");
        exitAction = actionBuilder.build(ACTIONID_EXIT,executeExit);
    }



    public Object provide() throws Exception
    {return exitAction;}


    
    public void execute() throws Exception
    {executeExit.execute();}
}

