
package gus05.entity.gus.app.menuinit.init2;


import javax.swing.Action;
import javax.swing.JMenu;
import javax.swing.JMenuBar;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;



public class InitMenu2 implements Entity {

    public String getName()				{return "gus.app.menuinit.init2";}
    public String getCreationDate()		{return "2009.02.03";}

    
    
    private JMenuBar menuBar;
    
    private Service aboutAction;
    private Service openAction;
    private Service mailToAction;
    private Service exitAction;
    private Service restartAction;
    
    
    

    public InitMenu2() throws Exception
    {
        aboutAction = Outside.service(this,"gus.app.action.about4");
        openAction = Outside.service(this,"gus.app.action.opendatadir");
        mailToAction = Outside.service(this,"gus.app.action.mailto.appfeedback");
        exitAction = Outside.service(this,"gus.app.action.exit");
        restartAction = Outside.service(this,"gus.app.action.restart");
        
        menuBar = (JMenuBar) Outside.resource(this,"menubar");
        
        Action aboutAction0 = (Action) aboutAction.provide();
        Action openAction0 = (Action) openAction.provide();
        Action mailToAction0 = (Action) mailToAction.provide();
        Action exitAction0 = (Action) exitAction.provide();
        Action restartAction0 = (Action) restartAction.provide();
        
        JMenu menu = new JMenu("Application");
        menu.add(exitAction0);
        menu.add(restartAction0);
        menu.add(mailToAction0);
        menu.add(openAction0);
        menu.addSeparator();
        menu.add(aboutAction0);
        
        menuBar.add(menu);
    }
    
    
  
}
