package gus05.entity.gus.app.servicegenerator2;


import java.util.Map;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Transform;



public class ServiceGenerator2 implements Entity, Transform {


    public String getName()				{return "gus.app.servicegenerator2";}
    public String getCreationDate()		{return "2006.09.25";}




    private Service provider;
    private Map nameMap;
    
    public ServiceGenerator2() throws Exception
    {
        provider = Outside.service(this,"app.entity.unique");
        nameMap = (Map)Outside.resource(this,"namemap");
    }
    
    
    
    public Object transform(Object obj) throws Exception
    {
        String rule = (String)obj;
        if(rule.equals("null")) return null;
        
        if(!rule.contains((" ")))
            return serviceResult(rule);
        
        String[] n = rule.split(" ",2);
        Transform s = (Transform) serviceResult(n[0]);
        return s.transform(n[1]);
    }
    
    
    
    
    
    private Object serviceResult(String alias) throws Exception
    {return provider.transform(serviceName(alias));}
    
    private String serviceName(String alias)
    {
        if(nameMap.containsKey(alias))
        return (String)nameMap.get(alias);
        return alias;
    }


}

