package gus05.entity.gus.env.mac.command.webbrowser;


import java.io.PrintStream;
import java.net.URL;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Give;



public class CommandWebBrowser implements Entity, Give {


    public String getName()				{return "gus.env.mac.command.webbrowser";}
    public String getCreationDate()		{return "2008.12.17";}


    private PrintStream out;

    public CommandWebBrowser() throws Exception
    {
    	out = (PrintStream) Outside.resource(this,"out");
    }
    

    public void give(Object obj) throws Exception
    {
    	URL url = toURL(obj);
    	String command = "open -a /Applications/Safari.app "+url.toString();
    	Runtime.getRuntime().exec(command);
    	out.println("displaying url: "+url.toString()+" for mac");
    }

    private URL toURL(Object obj) throws Exception
    {
    	if(obj==null || obj.equals(""))
    		throw new Exception("Undefined URL");
    	if(obj instanceof URL) return (URL)obj;
    	return new URL(obj.toString());
    }
}

