package gus05.entity.gus.filter.string.build.allofthem_n;


import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Filter;
import gus05.framework.features.Transform;



public class FilterAllOfThem_n implements Entity, Transform {


    public String getName()				{return "gus.filter.string.build.allofthem_n";}
    public String getCreationDate()		{return "2009.02.27";}


    private Service charNormalize;
    
    public FilterAllOfThem_n() throws Exception
    {charNormalize = Outside.service(this,"gus.stringtransform.character.lowercasenormalize");}


    private String normalize(String s) throws Exception
    {return (String) charNormalize.transform(s);}

    
    public Object transform(Object obj) throws Exception
    {
        String s = normalize((String)obj);
        return new Filter_allOfThem(s);
    }
    
    
    private class Filter_allOfThem implements Filter
    {
        private String[] words;
        public Filter_allOfThem(String value)
        {this.words = value.split(" ");}
        
        public boolean filter(Object obj) throws Exception
        {
            String str = normalize((String)obj);
            for(int i=0;i<words.length;i++)
            	if(!str.contains(words[i])) return false;
            return true;
        }
    }
}

