package gus05.entity.gus.filter.string.build.endswith;


import gus05.framework.core.Entity;
import gus05.framework.features.Filter;
import gus05.framework.features.Transform;



public class FilterEndsWith implements Entity, Transform {


    public String getName()				{return "gus.filter.string.build.endswith";}
    public String getCreationDate()		{return "2008.06.16";}


    
    
    public Object transform(Object obj) throws Exception
    {
        String s = (String)obj;
        return new Filter_endsWith(s);
    }
    
    
    private class Filter_endsWith implements Filter
    {
        private String value;
        public Filter_endsWith(String value)
        {this.value = value;}
        
        public boolean filter(Object obj) throws Exception
        {
            String str = (String)obj;
            return str.endsWith(value);
        }
    }
}

