package gus05.entity.gus.filter.string.build.equals_i;


import gus05.framework.core.Entity;
import gus05.framework.features.Filter;
import gus05.framework.features.Transform;



public class FilterEquals_i implements Entity, Transform {


    public String getName()				{return "gus.filter.string.build.equals_i";}
    public String getCreationDate()		{return "2008.10.03";}


    
    
    public Object transform(Object obj) throws Exception
    {
        String s = ((String)obj).toLowerCase();
        return new Filter_equals(s);
    }
    
    
    private class Filter_equals implements Filter
    {
        private String value;
        public Filter_equals(String value)
        {this.value = value;}
        
        public boolean filter(Object obj) throws Exception
        {
            String str = ((String)obj).toLowerCase();
            return str.equals(value);
        }
    }
}

