package gus05.entity.gus.filter.string.build.startswith;


import gus05.framework.core.Entity;
import gus05.framework.features.Filter;
import gus05.framework.features.Transform;



public class FilterStartsWith implements Entity, Transform {


    public String getName()				{return "gus.filter.string.build.startswith";}
    public String getCreationDate()		{return "2007.10.20";}


    
    
    public Object transform(Object obj) throws Exception
    {
        String s = (String)obj;
        return new Filter_startsWith(s);
    }
    
    
    private class Filter_startsWith implements Filter
    {
        private String value;
        public Filter_startsWith(String value)
        {this.value = value;}
        
        public boolean filter(Object obj) throws Exception
        {
            String str = (String)obj;
            return str.startsWith(value);
        }
    }
}

