package gus05.entity.gus.graphic.table.tooltip;

import java.awt.Point;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;

import javax.swing.JTable;


class TooltipHandler extends MouseMotionAdapter {

    private JTable table;

    public TooltipHandler(JTable table)
    {
        super();
        this.table = table;
        table.addMouseMotionListener(this);
    }
    
    public void mouseMoved(MouseEvent evt)
    {
        Point p = evt.getPoint();
        
        int x = table.rowAtPoint(p);
        int y = table.columnAtPoint(p);
        
        //if(x!=-1 && y!=-1)
        if(table.getValueAt(x,y)!=null)
        table.setToolTipText(table.getValueAt(x,y).toString());
        else table.setToolTipText(null);
        
        if(table.getColumnName(y)!=null)
        table.getTableHeader().setToolTipText(table.getColumnName(y));
        else table.getTableHeader().setToolTipText(null);
    }
}
