/*
 * Framework gus04
 * 
 * Copyright (C) 2005 (Augustin Delale)
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes
 * de la Licence Publique Gnrale GNU publie par la Free Software Foundation (version 2
 * ou bien toute autre version ultrieure choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, 
 * ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation
 * dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
 * 
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ;
 * si ce n'est pas le cas, crivez  la Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, tats-Unis. 
 */
package gus05.entity.gus.stringtransform.character.lowercasenormalize;


import gus05.framework.core.Entity;
import gus05.framework.features.Retrieve;
import gus05.framework.features.Transform;

/**
* @author gus
*/
public class TransformCharLowercaseNormalize implements Entity, Transform, Retrieve
{

    public String getName()				{return "gus.stringtransform.character.lowercasenormalize";}
    public String getCreationDate()		{return "2007.10.20";}




    
    public Object transform(Object obj) throws Exception
    {
        String text = obj.toString().toLowerCase();
        
        // diacritics e
        text = text.replace("","e");
        text = text.replace("","e");
        text = text.replace("","e");
        text = text.replace("","e");
        
        text = text.replace("","a");
        text = text.replace("","a");
        text = text.replace("","a");
        
        text = text.replace("","u");
        text = text.replace("","u");
        text = text.replace("","u");
        
        text = text.replace("","o");
        text = text.replace("","o");
        
        text = text.replace("","i");
        text = text.replace("","i");
         
        text = text.replace("","c");
        
        return text;
    }
    
    
    
    public Object retrieve(String key) throws Exception {
        
        if(key.equals("help")) return help();
        throw new Exception("Unknown key: "+key);
    }
    
    
    private String help()
    {
        StringBuffer b = new StringBuffer("Aide pour CHAR LOWERCASE NORMALIZE\n\n");
        b.append("Transformation textuelle qui permet de normaliser les caractres en mettant tout en minuscule sans accent\n\n");
        b.append("Exemple:\n");
        b.append("Le garon tait absent\n");
        b.append("le garcon etait absent\n");
        return b.toString();
    }
}
