package gus05.manager.gus.endorf.layer3.tools;


import java.io.File;
import java.security.AlgorithmParameters;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import java.util.Set;

import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.PBEParameterSpec;

import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

public class Crypter {

	
	public static final String ALGO = "PBEWithMD5AndDES";
    
    private static final String INFO = "sd1fijn7sdi36gn5ppoio22e1";
    private static final byte[] SALT  = new byte[] {0,0,0,0,0,0,0,0};
    private static final int ITERATION = 3;
    
    private String fileKey(File file)
    {return INFO+file.getName();}
    
    
    private BASE64Encoder encoder;
    private BASE64Decoder decoder;
    private AlgorithmParameters params;
    private SecretKeyFactory keyFactory;
    private Cipher cipher;
    
    
    
    public Crypter() throws Exception
    {
    	decoder = new BASE64Decoder();
    	encoder = new BASE64Encoder();
    	params = AlgorithmParameters.getInstance(ALGO);
		params.init(new PBEParameterSpec(SALT,ITERATION));
		keyFactory = SecretKeyFactory.getInstance(ALGO);
    	cipher = Cipher.getInstance(ALGO);
    }



    
    public String DECRYPT(String input, File file) throws Exception
    {
		PBEKeySpec keySpec = new PBEKeySpec(fileKey(file).toCharArray());
		SecretKey key = keyFactory.generateSecret(keySpec);

		byte[] cipherbytes = decoder.decodeBuffer(input);
		
		cipher.init(Cipher.DECRYPT_MODE, key, params);
		byte[] textbytes = cipher.doFinal(cipherbytes);
		return new String(textbytes);
    }
    
    public String ENCRYPT(String input, File file) throws Exception
    {
    	PBEKeySpec keySpec = new PBEKeySpec(fileKey(file).toCharArray());
		SecretKey key = keyFactory.generateSecret(keySpec);

		cipher.init(Cipher.ENCRYPT_MODE, key, params);
		byte[] cipherbytes = cipher.doFinal(input.getBytes());
		return encoder.encode(cipherbytes);
    }
    
    
    
    
    
    
    
    
    public Properties decrypt(Map map, File file) throws Exception
    {
    	Properties map1 = new Properties();
		Iterator it = map.keySet().iterator();
		while(it.hasNext())
		{
			String key = (String) it.next();
			String value = (String) map.get(key);
			map1.setProperty(DECRYPT(key,file),DECRYPT(value,file));
		}
		return map1;
    }
    
    public List decrypt(List list, File file) throws Exception
    {
    	ArrayList list1 = new ArrayList();
		for(int i=0;i<list.size();i++)
		{
			String value = (String) list.get(i);
			list1.add(DECRYPT(value,file));
		}
		return list1;
    }
    
    public Set decrypt(Set set, File file) throws Exception
    {
    	HashSet set1 = new HashSet();
		Iterator it = set.iterator();
		while(it.hasNext())
		{
			String value = (String) it.next();
			set1.add(DECRYPT(value,file));
		}
		return set1;
    }
    
    
    
    
    
    
    
    public Properties encrypt(Map map, File file) throws Exception
    {
    	Properties map1 = new Properties();
		Iterator it = map.keySet().iterator();
		while(it.hasNext())
		{
			String key = (String) it.next();
			String value = (String) map.get(key);
			map1.setProperty(ENCRYPT(key,file),ENCRYPT(value,file));
		}
		return map1;
    }
    
    public List encrypt(List list, File file) throws Exception
    {
    	ArrayList list1 = new ArrayList();
		for(int i=0;i<list.size();i++)
		{
			String value = (String) list.get(i);
			list1.add(ENCRYPT(value,file));
		}
		return list1;
    }
    
    public Set encrypt(Set set, File file) throws Exception
    {
    	HashSet set1 = new HashSet();
		Iterator it = set.iterator();
		while(it.hasNext())
		{
			String value = (String) it.next();
			set1.add(ENCRYPT(value,file));
		}
		return set1;
    }
}
