package gus05.manager.gus.endorf.layer3.tools;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class Tools_zip {

    
    public static void unzip(File zipFile, File outputDir) throws Exception
    {
        FileInputStream fis = new FileInputStream(zipFile);
        BufferedInputStream bis = new BufferedInputStream(fis);
        ZipInputStream zis = new ZipInputStream(bis);
        
        ZipEntry entry;
        while((entry = zis.getNextEntry()) != null)
        {
            File entryPath = new File(outputDir,entry.getName());
            if(entry.isDirectory())
            {
                entryPath.getParentFile().mkdirs();
            }
            else
            {
                if(!entryPath.getParentFile().exists())
                    entryPath.getParentFile().mkdirs();
                
                FileOutputStream fos = new FileOutputStream(entryPath);
                BufferedOutputStream bos = new BufferedOutputStream(fos);
                
                int b;
                while((b=zis.read()) != -1)
                {bos.write(b);}
                
                bos.flush();
                bos.close();
            }
        }
        zis.close();
    }
}
