
package gus05.manager.gus.endorf.layer4.providers.resource;


import java.util.Map;

import gus05.framework.features.Register;
import gus05.framework.features.Retrieve;
import gus05.manager.gus.endorf.layer1.Source;
import gus05.manager.gus.endorf.layer1.organs.ResourceProvider;
import gus05.manager.gus.endorf.layer4.system2.System2;




public class ResourceProvider_persistence implements ResourceProvider
{
    public Object provideResource(Source source, String key) throws Exception
    {return new Persistence(source.getEntityName());}


    private class Persistence implements Register, Retrieve
    {
        private String name;
        public Persistence(String name)
        {this.name = name;}

        public void register(String key, Object obj) throws Exception
        {System2.setPersistence(name+"@"+key,(String)obj);}

        public Object retrieve(String key) throws Exception
        {return System2.getPersistence(name+"@"+key);}
    }
}
