package gus05.entity.gus.app.find.findicon;


import javax.swing.Icon;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Transform;
import gus05.framework.resources.IconProvider;



public class FindIcon implements Entity, Transform {


    public String getName()				{return "gus.app.find.findicon";}
    public String getCreationDate()		{return "2007.02.03";}

    
    private IconProvider provider;
    
    public FindIcon() throws Exception
    {provider = (IconProvider) Outside.resource(this,"app.gui.icons");}
    

    public Object transform(Object obj) throws Exception
    {
        String iconID = (String)obj;
        Icon icon = provider.getIcon(iconID);
        if(icon==null) throw new Exception("Unknown icon: "+iconID);
        
        return icon;
    }
}

