package gus05.entity.gus.filter.string.build.allofthem_i;


import gus05.framework.core.Entity;
import gus05.framework.features.Filter;
import gus05.framework.features.Transform;



public class FilterAllOfThem_i implements Entity, Transform {


    public String getName()				{return "gus.filter.string.build.allofthem_i";}
    public String getCreationDate()		{return "2009.02.27";}


    
    
    public Object transform(Object obj) throws Exception
    {
        String s = ((String)obj).toLowerCase();
        return new Filter_allOfThem(s);
    }
    
    
    private class Filter_allOfThem implements Filter
    {
    	private String[] words;
        public Filter_allOfThem(String value)
        {this.words = value.split(" ");}
        
        public boolean filter(Object obj) throws Exception
        {
            String str = ((String)obj).toLowerCase();
            for(int i=0;i<words.length;i++)
            	if(!str.contains(words[i])) return false;
            return true;
        }
    }
}

