package gus05.entity.gus.filter.string.build.contains;


import gus05.framework.core.Entity;
import gus05.framework.features.Filter;
import gus05.framework.features.Transform;



public class FilterContains implements Entity, Transform {


    public String getName()				{return "gus.filter.string.build.contains";}
    public String getCreationDate()		{return "2008.10.03";}


    
    
    public Object transform(Object obj) throws Exception
    {
        String s = (String)obj;
        return new Filter_contains(s);
    }
    
    
    private class Filter_contains implements Filter
    {
        private String value;
        public Filter_contains(String value)
        {this.value = value;}
        
        public boolean filter(Object obj) throws Exception
        {
            String str = (String)obj;
            return str.contains(value);
        }
    }
}

