package gus05.entity.gus.filter.string.build.equals;


import gus05.framework.core.Entity;
import gus05.framework.features.Filter;
import gus05.framework.features.Transform;



public class FilterEquals implements Entity, Transform {


    public String getName()				{return "gus.filter.string.build.equals";}
    public String getCreationDate()		{return "2008.08.03";}


    
    
    public Object transform(Object obj) throws Exception
    {
        String s = (String)obj;
        return new Filter_equals(s);
    }
    
    
    private class Filter_equals implements Filter
    {
        private String value;
        public Filter_equals(String value)
        {this.value = value;}
        
        public boolean filter(Object obj) throws Exception
        {
            String str = (String)obj;
            return str.equals(value);
        }
    }
}

