package gus05.entity.gus.graphic.filechooser.holder2;


import javax.swing.JFileChooser;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Provide;



public class FileChooserHolder2 implements Entity, Provide {


    public String getName()				{return "gus.graphic.filechooser.holder2";}
    public String getCreationDate()		{return "2008.09.29";}


    private Service fileView;
    private Service persist;
    private JFileChooser fc;
    
    
    public FileChooserHolder2() throws Exception
    {
    	fileView = Outside.service(this,"gus.graphic.filechooser.fileview");
    	persist = Outside.service(this,"gus.graphic.persistence.persistence1");
    	
    	fc = new JFileChooser();
    	fileView.give(fc);
		persist.register(getName()+"_fc",fc);
    }
    

    public Object provide() throws Exception
    {return fc;}
  
}

