
package gus05.manager.gus.endorf.layer1;

import gus05.framework.core.Entity;
import gus05.framework.core.Manager;
import gus05.framework.core.Service;


public final class EndorfManager implements Manager {

    
    public Service callService(Entity entity, String id) throws Exception
    {
        Source source = new Source(entity,id);
        String key = Endorf.findKey(source);
        Object obj = Endorf.provideResource(source,key);
        return Endorf.wrapService(source,key,obj);
    }
    
    public Object callResource(Entity entity, String id) throws Exception
    {
        Source source = new Source(entity,id);
        String key = Endorf.findKey(source);
        return Endorf.provideResource(source,key);
    }

    public void sendError(Entity entity, String id, Exception e)
    {Endorf.sendError(entity,id,e);}
}
