/*
 * Created on 12 juin 2006
 *
 */
package gus05.manager.gus.endorf.layer4.internals1;


import java.util.Set;

import gus05.framework.resources.StringProvider;
import gus05.manager.gus.endorf.layer4.system2.System2;


public class AppLingString implements StringProvider {

    
    
    public String getString(String key)
    {
        handleKey(key);
        
        String lingKey = key+"_"+System2.language();
        if(System2.lingMap.containsKey(lingKey))
        {
            String lingString = (String)System2.lingMap.get(lingKey);
            if(!lingString.equals("")) return lingString;
        }
        return key;
    }
        
    
    
    
    
    private void handleKey(String key)
    {
        Set set = (Set)System2.getInternal(System2.INTERNAL_SET_LINGSTRING_KEYS);
        if(set!=null) set.add(key);
    }
    
}
